karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Lijun Liao (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (KARAF-4827) Cannot install feature depending on other 2+ levels of features with prerequisite="true"
Date Mon, 21 Nov 2016 10:44:58 GMT

     [ https://issues.apache.org/jira/browse/KARAF-4827?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Lijun Liao updated KARAF-4827:
------------------------------
    Description: 
Steps to reproduce the error:
1. Unpack apache-karaf-4.1.0-SNAPSHOT.tar.gz
2. Add following block to the file "system/org/apache/karaf/features/enterprise/4.1.0-SNAPSHOT/enterprise-4.1.0-SNAPSHOT-features.xml"
{code:xml}
	<feature name="demo-a">
		<bundle>mvn:javax.interceptor/javax.interceptor-api/1.2</bundle>
	</feature>
	
	<feature name="demo-b">
		<feature prerequisite="true">demo-a</feature>
		<bundle>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.javax-inject/1_2</bundle>
	</feature>
	
	<feature name="demo-c">
		<feature prerequisite="true">demo-b</feature>
		<bundle>mvn:javax.el/javax.el-api/3.0.0</bundle>
	</feature>
{code}
3. Delete folder data and file lock if available
4. Start karaf (command "bin/karaf")
5. Execute command "feature:install demo-c" in karaf shell, you should get the following error
message. 
karaf@root()> feature:install demo-c                                                  
                                                xx:xx:xx
gogo: CircularPrerequisiteException: [demo-a/0.0.0]
Error executing command: [demo-a/0.0.0]

  was:
Steps to reproduce the error:
1. Unpack apache-karaf-4.1.0-SNAPSHOT.tar.gz
2. Add following block to the file "system/org/apache/karaf/features/enterprise/4.1.0-SNAPSHOT/enterprise-4.1.0-SNAPSHOT-features.xml"
{code:borderStyle=solid}
	<feature name="demo-a">
		<bundle>mvn:javax.interceptor/javax.interceptor-api/1.2</bundle>
	</feature>
	
	<feature name="demo-b">
		<feature prerequisite="true">demo-a</feature>
		<bundle>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.javax-inject/1_2</bundle>
	</feature>
	
	<feature name="demo-c">
		<feature prerequisite="true">demo-b</feature>
		<bundle>mvn:javax.el/javax.el-api/3.0.0</bundle>
	</feature>
{code}
3. Delete folder data and file lock if available
4. Start karaf (command "bin/karaf")
5. Execute command "feature:install demo-c" in karaf shell, you should get the following error
message. 
karaf@root()> feature:install demo-c                                                  
                                                xx:xx:xx
gogo: CircularPrerequisiteException: [demo-a/0.0.0]
Error executing command: [demo-a/0.0.0]


> Cannot install feature depending on other 2+ levels of features with prerequisite="true"
> ----------------------------------------------------------------------------------------
>
>                 Key: KARAF-4827
>                 URL: https://issues.apache.org/jira/browse/KARAF-4827
>             Project: Karaf
>          Issue Type: Bug
>          Components: karaf-feature
>    Affects Versions: 4.1.0
>            Reporter: Lijun Liao
>             Fix For: 4.1.0
>
>
> Steps to reproduce the error:
> 1. Unpack apache-karaf-4.1.0-SNAPSHOT.tar.gz
> 2. Add following block to the file "system/org/apache/karaf/features/enterprise/4.1.0-SNAPSHOT/enterprise-4.1.0-SNAPSHOT-features.xml"
> {code:xml}
> 	<feature name="demo-a">
> 		<bundle>mvn:javax.interceptor/javax.interceptor-api/1.2</bundle>
> 	</feature>
> 	
> 	<feature name="demo-b">
> 		<feature prerequisite="true">demo-a</feature>
> 		<bundle>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.javax-inject/1_2</bundle>
> 	</feature>
> 	
> 	<feature name="demo-c">
> 		<feature prerequisite="true">demo-b</feature>
> 		<bundle>mvn:javax.el/javax.el-api/3.0.0</bundle>
> 	</feature>
> {code}
> 3. Delete folder data and file lock if available
> 4. Start karaf (command "bin/karaf")
> 5. Execute command "feature:install demo-c" in karaf shell, you should get the following
error message. 
> karaf@root()> feature:install demo-c                                             
                                                     xx:xx:xx
> gogo: CircularPrerequisiteException: [demo-a/0.0.0]
> Error executing command: [demo-a/0.0.0]



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message